## python-monascaclient 2.0.0

=== debian/changelog ===
python-monascaclient (2.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Mar 2020 10:12:22 -0400

python-monascaclient (1.16.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Sep 2019 14:10:43 -0400

python-monascaclient (1.15.0-0ubuntu1) eoan; urgency=medium

  * Merge from Debian experimental.  Remaining changes:
    - d/gbp.conf: Retain for pristine-tar.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/watch: Get tarball from tarballs.openstack.org.
  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Jun 2019 14:28:53 -0400

=== debian/control ===
Source: python-monascaclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 James Page <james.page@ubuntu.com>,
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.5),
Build-Depends-Indep:
 python3-bandit (>= 1.1.0),
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-doc8 (>= 0.6.0),
 python3-hacking (>= 1.1.0),
 python3-iso8601 (>= 0.1.11),
 python3-openstackdocstheme (>= 1.18.1),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslosphinx,
 python3-oslotest (>= 1:3.2.0),
 python3-prettytable (>= 0.7.2),
 python3-reno (>= 2.5.0),
 python3-six (>= 1.10.0),
 python3-stestr (>= 1.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-yaml (>= 3.12),
 subunit,
Standards-Version: 4.3.0
Homepage: https://github.com/openstack/python-monascaclient
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-monascaclient
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-monascaclient
Testsuite: autopkgtest-pkg-python

Package: python3-monascaclient
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-iso8601 (>= 0.1.11),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable (>= 0.7.2),
 python3-six (>= 1.10.0),
 python3-yaml (>= 3.12),
 ${misc:Depends},
 ${python3:Depends},
Description: client bindings for the Monasca API - Python 3.x
 Monasca is a open-source multi-tenant, highly scalable, performant,
 fault-tolerant monitoring-as-a-service solution that integrates with
 OpenStack. It uses a REST API for high-speed metrics processing and
 querying and has a streaming alarm engine and notification engine.
 .
 This package provides the Python 3.x API bindings.

## python-monascaclient 2.2.1

=== debian/changelog ===
python-monascaclient (2.2.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 16:27:05 +0200

python-monascaclient (2.2.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 16:19:48 +0200

python-monascaclient (2.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 16:02:32 +0200

python-monascaclient (2.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 23:21:11 +0200

python-monascaclient (2.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 18 Apr 2020 18:34:27 +0200

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/,dversionmangle=s/\+dfsg\d+$" \
https://github.com/openstack/python-monascaclient/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-monascaclient 2.3.0

=== debian/changelog ===
python-monascaclient (2.3.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 13 Apr 2021 09:24:20 +0000

python-monascaclient (2.3.0-0ubuntu1) hirsute; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream release for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Apr 2021 15:27:55 -0400

python-monascaclient (2.2.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Sep 2020 12:31:58 -0400

python-monascaclient (2.2.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.
  * d/python(3)-monascaclient.p*: Drop alternatives as package is py3 only
    now and no longer needs them.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 28 Jul 2020 20:22:30 -0400

## python-monascaclient 2.4.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

osc-lib>=1.8.0 # Apache-2.0

oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0

Babel!=2.4.0,>=2.3.4 # BSD
iso8601>=0.1.11 # MIT
pbr!=2.1.0,>=2.0.0 # Apache-2.0
PrettyTable>=0.7.2 # BSD
PyYAML>=3.12 # MIT

=== debian/changelog ===
python-monascaclient (2.4.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Sep 2021 15:15:02 -0400

=== debian/control ===
--- 
+++ 
@@ -8,38 +8,36 @@
  Thomas Goirand <zigo@debian.org>,
  David Della Vecchia <ddv@canonical.com>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  dh-python,
  openstack-pkg-tools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx (>= 1.6.5),
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
  python3-bandit (>= 1.1.0),
  python3-babel (>= 2.3.4),
  python3-coverage (>= 4.0),
  python3-doc8 (>= 0.6.0),
- python3-hacking (>= 1.1.0),
  python3-iso8601 (>= 0.1.11),
- python3-openstackdocstheme (>= 1.18.1),
+ python3-openstackdocstheme (>= 2.2.1),
  python3-osc-lib (>= 1.8.0),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.utils (>= 3.33.0),
  python3-oslosphinx,
  python3-oslotest (>= 1:3.2.0),
  python3-prettytable (>= 0.7.2),
- python3-reno (>= 2.5.0),
  python3-six (>= 1.10.0),
  python3-stestr (>= 1.0.0),
  python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
  python3-yaml (>= 3.12),
  subunit,
-Standards-Version: 4.3.0
-Homepage: https://github.com/openstack/python-monascaclient
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-monascaclient
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-monascaclient
+Standards-Version: 4.5.0
+Homepage: https://opendev.org/openstack/python-monascaclient.git
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-monascaclient
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-monascaclient
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-monascaclient

## python-monascaclient 2.6.0

=== debian/changelog ===
python-monascaclient (2.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 14:33:37 +0200

python-monascaclient (2.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Sep 2022 11:27:51 +0200

python-monascaclient (2.5.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 11:14:58 +0100

python-monascaclient (2.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Feb 2022 16:06:30 +0100

python-monascaclient (2.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 17:48:10 +0200

python-monascaclient (2.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Sep 2021 09:47:31 +0200

python-monascaclient (2.3.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 11:17:20 +0200

python-monascaclient (2.3.0-1) experimental; urgency=medium

  * Removed dmangle from debian/watch.
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Mar 2021 16:26:37 +0100

=== debian/control ===
Source: python-monascaclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 James Page <james.page@ubuntu.com>,
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python3-babel,
 python3-coverage,
 python3-hacking,
 python3-iso8601,
 python3-osc-lib,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslosphinx,
 python3-oslotest,
 python3-prettytable,
 python3-six,
 python3-stestr,
 python3-testscenarios,
 python3-testtools,
 python3-yaml,
 subunit,
Standards-Version: 4.4.1
Homepage: https://github.com/openstack/python-monascaclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-monascaclient.git
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-monascaclient

Package: python3-monascaclient
Architecture: all
Depends:
 python3-babel,
 python3-iso8601,
 python3-osc-lib,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-prettytable,
 python3-six,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: client bindings for the Monasca API - Python 3.x
 Monasca is a open-source multi-tenant, highly scalable, performant,
 fault-tolerant monitoring-as-a-service solution that integrates with
 OpenStack. It uses a REST API for high-speed metrics processing and
 querying and has a streaming alarm engine and notification engine.
 .
 This package provides the Python 3.x API bindings.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = https://github.com/openstack/python-monascaclient.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3 --buildsystem=python_distutils

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_install:
	dh_install
	rm -f $(CURDIR)/debian/python*-monascaclient/usr/share/monasca.bash_completion

override_dh_auto_clean:
	echo "Do not autoclean"

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-monascaclient 2.7.0

=== debian/changelog ===
python-monascaclient (2.7.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1048194).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 17:30:58 +0200

python-monascaclient (2.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Jun 2023 10:48:07 +0200

python-monascaclient (2.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Feb 2023 09:51:48 +0100

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,9 @@
 	dh $@ --with python3 --buildsystem=python_distutils
 
 override_dh_auto_clean:
-	rm -rf build
+	rm -rf build .stestr *.egg-info
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."
@@ -24,8 +26,5 @@
 	dh_install
 	rm -f $(CURDIR)/debian/python*-monascaclient/usr/share/monasca.bash_completion
 
-override_dh_auto_clean:
-	echo "Do not autoclean"
-
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3

## python-monascaclient 2.8.0

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.

=== doc/requirements.txt ===
sphinx>=2.0.0,!=2.1.0 # BSD
reno>=3.1.0 # Apache-2.0
openstackdocstheme>=2.2.1 # Apache-2.0

=== debian/changelog ===
python-monascaclient (2.8.0-4) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090536).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 09:53:34 +0100

python-monascaclient (2.8.0-3) unstable; urgency=medium

  * Drop obsolete python3-six dependency (Closes: #1068254).

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 May 2024 09:29:36 +0200

python-monascaclient (2.8.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 15:47:46 +0200

python-monascaclient (2.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Sep 2023 17:15:36 +0200

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,6 @@
  python3-oslosphinx,
  python3-oslotest,
  python3-prettytable,
- python3-six,
  python3-stestr,
  python3-testscenarios,
  python3-testtools,
@@ -45,7 +44,6 @@
  python3-oslo.utils,
  python3-pbr,
  python3-prettytable,
- python3-six,
  python3-yaml,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --with python3 --buildsystem=python_distutils
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_clean:
 	rm -rf build .stestr *.egg-info

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/python-monascaclient/tags .*/(\d[brc\d\.]+)\.tar\.gz
